Holger's Java API

## com.antelmann.net.mail
Class Email.Header

    java.lang.Object
      com.antelmann.net.mail.Email.Header

All Implemented Interfaces:
  Serializable

Enclosing class:
  Email

    public static class Email.Header

extends Object
implements Serializable

A single Email may have several Header entries with the same name.

See Also:
  Serialized Form

Constructor Summary
`Email.Header(String name, String value)` name must not be null

Method Summary
`boolean` `equals(Object obj)`
`String` `getName()`
`String` `getValue()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Email.Header

    public Email.Header(String name,
                        String value)

  name must not be null

Method Detail

### getName

    public String getName()

### getValue

    public String getValue()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads